package com.bb.dao;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.security.core.Authentication;

import com.bb.model.BalanceParam;
import com.bb.model.BetParam;
import com.bb.model.BoardSearch;
import com.bb.model.CashParam;
import com.bb.model.CommonParam;
import com.bb.model.Game;
import com.bb.model.Member;
import com.bb.model.OTPInfo;
import com.bb.model.Site;
import com.bb.model.SitePwdVO;
import com.bb.model.SiteSearch;
import com.bb.model.TrfApiInfo;
import com.bb.model.UserSearch;
import com.bb.model.Vendor;
import com.bb.model.VendorChangeBalanceLogVo;


public interface SiteDao {

	Site getSiteInfo(String authorization);

	Site getSiteInfoAPI(String authorization);

	Member getMember(CommonParam commonParam);

	Member getMember2(CashParam param);

	void insertMember(CommonParam commonParam);

	HashMap getVenderApiInfo(CommonParam commonParam);

	int commonBetinsert(HashMap tranParam);

	int commonBetinsert2(HashMap tranParam);

	List<HashMap> getCbList();

	void updateCbApi(HashMap upParam);

	HashMap getSiteApiInfo(HashMap sParam);

	HashMap getSiteApiInfo2(HashMap sParam);

	Site getSiteLogin(Authentication authentication);

	Site getSiteLoginApi(Map site);

	Site getGuestLogin();

	int getSiteListCnt(SiteSearch search);

	List<HashMap> getSiteList(SiteSearch search);

	void addProc(Site site);

	void addCreditInfo(Site site);

	void addsiteFlow(Site site);

	void insertVendors(Site site);

	Site getSiteInfoMypage(Site site);

	long getSiteCredit(String siteId);

	long getUnderSiteCredit(String siteId);

	long getSitePoint(String siteId);

	void addPointInfo(Site site);

	HashMap getCreditWait(int siteIdx);

	int getSiteUserListCnt(SiteSearch search);

	List<HashMap> getSiteUserList(SiteSearch search);

	int getTranCheck(String tranId);

	void insertError(HashMap eParam);

	int getFinalErr(String betId);

	void updateSid(Member member);

	long getInsureAmt(String siteId);

	long getInsurePointAmt(String siteId);

	void insertinsurance(Site site);

	void insertinsurancePoint(Site site);

	List<HashMap> getVenderRateList(Site loginSite);

	int getBetCancelCount(String betId);

	void updateBombKey(Member member);

	Member getMemByBombAccId(HashMap memParam);

	void insertBetDetail(Map detailMap);

	String getBetInfo(BetParam param);

	List<HashMap> getSiteFlow(Site loginSite);

	void saveVendorRate(HashMap paramMap);

	HashMap getEvoApiInfo();

	String getSiteIdByRefId(String refId);

	void updateDetailLastTime(HashMap evoInfo);

	Site getSiteDetail(SiteSearch search);

	Site getSiteSimpleDetail(SiteSearch search);

	HashMap getVenderApiInfoByToken(Map paramV);

	Site getSiteBypassword(Map siteParam);

	void updatePass(Map siteParam);

	void siteUpdate(Site site);

	void saveVendorInsurePointRate(HashMap paramMap);

	HashMap getDashInfo(Site loginSite);

	HashMap getDashInfo2(Site loginSite);

	void insertVendorsRate(Site site);

	HashMap getMicroApiInfo();

	int getApiStatus(HashMap tranParam);

	void saveVendorInsureRate(HashMap paramMap);

	void updateVendorUseYn(HashMap paramMap);

	List<HashMap> getSiteVendorList(SiteSearch search);

	List<HashMap> getVendorList(SiteSearch search);

	void siteVenderUpdate(Vendor vendor);

	HashMap getDowinApiInfo();

	long getSiteMaxBet(HashMap sParam);

	Long getUserMaxBet(HashMap sParam);

	int getBetCheckByHc(String refId);

	void updatePragmaticId(Member member);

	HashMap getProgmaticApiInfo();

	HashMap getSiteApiInfoByPra(HashMap sParam);

	String getlastDepostId(HashMap dParam);

	List<HashMap> getNotUseMemberListProgama();

	List<Game> getGameList(HashMap param);

	HashMap getOnlyVenderInfo(CommonParam commonParam);

	int getBotaAutoCancelCnt(String tranId);

	int getBotaBetCnt(String tranId);

	HashMap getProgmaticApiInfo2();

	List<HashMap> getBotaBetListMinute();

	String getSiteIdByRefId2(String string);

	int getTranIdCheck(String string);

	int getTranIdCheck2(String string);

	HashMap getSiteMember(String string);

	void updateDebitCancel(String refId);

	void insertSiteCallBackLog(HashMap logParam);

	List<HashMap> getBetList(BetParam param);

	List<HashMap> getMonsterGameList();

	HashMap getProgmaticApiInfo3(String code);

	long getBetCancelAmt(String string);

	int getBetIdCheck(String refId);

	int getBetIdCheck2(String refId);

	int getTranCheck2(String betId);

	void insertSlotCity(HashMap slotMap);

	void botaAutoCancel(HashMap tranParam);

	void seattleCredit();

	void updateDecimal(HashMap decimalParam);

	List<HashMap> getonlyDebitList();

	void insertAutoLose(HashMap loseCredit);

	HashMap getBetCheck(BetParam param);

	int callbackTokenCheck(String token);

	HashMap getVenderInfo(BalanceParam param);

	String getRefIdByTranId(String tranId);

	List<HashMap> getCreditReSendList();

	void updateMemCancelCnt(long memberIdx);

	Long getMemberIdx(HashMap memParam);

	int insertVendorChangeBalanceLog(VendorChangeBalanceLogVo logVo);

	HashMap getGsoftVendorInfo(String gameID);

	String getCreditRate(HashMap upParam);

	void inserDemoUSer(String bombToken);

	HashMap getDemoByBombAccId(HashMap memParam);

	void updateDemoUSer(HashMap memParam);

	List<HashMap> getTrasferVendorList();

	List<HashMap> getAllMember();

	int gethourBetCheck(long member);

	List<HashMap> getAllMember2();

	HashMap getUserVendorInfo(HashMap memParam);

	Member getMemberByToken(Map authParam);

	HashMap getSiteApiInfoByToken(Map authParam);

	double getBetDepositAmt(String tranId);

	void insertSplusTran(Map trxParam);

	void updateSplusTran(Map trxParam);

	String getCbData(String reserve_id);

	void updatesPurchaseId(Map trxParam);

	double getBetGapAmt(String pid);

	void insertToken(String base64Token);

	int getSplusToken(String base64Token);

	String getRefIdByPurchaseId(String purchase_id);

	List<HashMap> getSplusDetailData(BetParam param);

	String getKorNameTeam(String txt);

	String getKorNameLeague(String txt);

	void insertVendorsCodeRate(Site site);

	HashMap getBetInfoByTranId(String reference);

	int getSuccDebitCnt(String betId);

	HashMap<String, String> getSiteVendorInfo(HashMap param);

	int updatePowerballApiInfo(HashMap<String, String> registParam);

	List<HashMap<String, String>> getPowerBallInfoList(String gameType);

	HashMap<String, String> getSiteApiInfoByApiKey(HashMap param);

	HashMap<String, String> getSiteApiInfoByCallbackKey(HashMap param);

	int updMemLastVendorIdx(HashMap memParam);

	List<HashMap> getVendorListByVendorKey(HashMap venderInfo);

	void vendorUpdate(HashMap venderInfo);

	List<HashMap> getNexusSkinListByVendorKey(HashMap venderInfo);

	void nexusSkinUpdate(HashMap venderInfo);

	String getParseTarget();

	String getParseTargetExtr();

	HashMap getParseUseYn(int siteIdx);

	void insertParseUse(HashMap parseParam);

	List<HashMap> getApiBetVendorList(int siteIdx);

	int getApiBetTransactionCnt(BetParam param);

	List<HashMap> getApiBetTransactionList(BetParam param);

	void updVendorMapForDefault(Site site);

	void updVendorCreditRateForDefault(Site site);

	void deleteVendorAccountForDefault(Site site);

	HashMap getParseUserYn(HashMap pum);

	void setParseUserYn(HashMap pum);

	OTPInfo getOtpInfo(long siteIdx);

	OTPInfo getOtpInfoByManger(long siteIdx);

	int registSuperOtp(OTPInfo param);

	HashMap<String, String> getSiteOnlyVendorInfo(HashMap vendorParam);

	TrfApiInfo getTrfApiInfo(HashMap mapParam);

	void agentIpsUpdate(Site site);

	int insertEvoDetail(HashMap detailMap);

	HashMap getCommonApiInfo(HashMap commonParam);

	HashMap<String, String> getBeforeTranInfo(String vendorTranKey);

	List<HashMap> getParseTargetGame(String gameType);

	String getOrgDetailData(BetParam param);

	String getParDetailData(BetParam param);

	HashMap<String, Object> getBetInfoByTranKey(String vendorTranKey);

	HashMap<String, String> getParseInfo(HashMap param);

	int getBlockParseGameId(String gameId);

	HashMap<String, String> getBeforeTranInfo2(String vendorTranKey);

	String getMemberByIdx(HashMap memParam);

	List<HashMap> getSiteVendorList2(int siteIdx);

	List<HashMap> getVendorList2(int siteIdx);

	void saveSvcr(HashMap paramMap);

	int siteVenderCodeCheck(HashMap paramMap);

	void saveVendorRate2(HashMap paramMap);

	String getSiteKey(HashMap paramMap);

	String getVendorTitle(HashMap paramMap);

	Long getUserTimeout(HashMap accLog);

	int updateUserTimeout(HashMap accLog);

	String getGameKeyByNexusGameId(String gameId);

	String getDebitIsParse(String betId);

	int updateParseUseYN(String useYn);

	int insertTheaTrxId(HashMap param);

	HashMap<String, String> getApiKeyInfo(String vendorTitle);

	HashMap<String, String> getApiKeyInfo2(HashMap<String, String> keyParam);

	HashMap<String, Object> getRefBetInfoByTranId(String tranId);

	int updMemberBalance(HashMap balanceMap);

	int getMemberBalance(HashMap balanceMap);

	HashMap<String, String> getMemberId(String vendorUsername);

	int checkMemberId(String vendorUsername);

	HashMap getNewSiteApiInfo(String vendorUsername);

	HashMap getNewSiteVendorInfo(HashMap param);

	int updateTestCnt(Site site);

	int updateParseEvoYn(HashMap param);

	int saveParsEvoAmount(SiteSearch param);

	int getUserBalance(HashMap balanceMap);

	List<HashMap> getMyDownSite(SiteSearch search);

	HashMap<String, String> getCreditInfo(String siteId);

	int checkDownSite(Map checkDown);

	List<HashMap> getSiteTreeList(String siteId);

	int getMyDownSiteCheck(Site targetsite);

	void insertParseUseYn(Site site);

	int updateSitePwd(SitePwdVO sitePwdVO);

	Site getSite(Site site);

	void siteVenderLobbyUpdate(Vendor vendor);

	List<HashMap> getVendorMapList(SiteSearch search);

	List<HashMap> geLobbyList(SiteSearch search);

	String siteVenderRate(Vendor vendor);

	int getBoardListCnt(BoardSearch search);

	List<HashMap<String, Object>> getBoardList(BoardSearch search);

	HashMap<String, Object> getBoardDetail(long boardIdx);

	int getSiteCallbackErrLogListCnt(SiteSearch search);

	List<HashMap> getSiteCallbackErrLogList(SiteSearch search);

	List<HashMap> getSiteTreeInfo(HashMap param);

	int getUserListCnt(UserSearch search);

	List<HashMap<String, Object>> getUserList(UserSearch search);

	HashMap<String, Object> getUserDetail(UserSearch search);

	void insertCmsIp(Site site);

	int getSiteListCntForApi(SiteSearch search);

	List<HashMap> getSiteListForApi(SiteSearch search);

	Site getSiteDetailForApi(SiteSearch search);

	List<HashMap> getVendorListForApi(SiteSearch search);

	List<HashMap> getSiteVendorListForApi(SiteSearch search);

	HashMap getRefIdByVendorTranKey(String vendorTranKey);

	int updateUserMaxBet(HashMap param);

	int insertTranLog(HashMap logParam);

	HashMap getSiteSubCredit(String siteId);

	String getBetAmountByTranParam(HashMap param);
}
